#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    resourceremoteconfig.h resourceremote.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/libkcal )


##### other data ################################

tde_create_translated_desktop(
  SOURCE remote.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/kcal
  PO_DIR tderesources-desktops
)


##### kcal_remote (module) ######################

tde_add_kpart( kcal_remote AUTOMOC
  SOURCES resourceremote_plugin.cpp
  LINK kcal_resourceremote-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kcal_resourceremote (shared) ##############

tde_add_library( kcal_resourceremote SHARED AUTOMOC
  SOURCES
    resourceremote.cpp resourceremoteconfig.cpp
  VERSION 1.0.0
  LINK tdepim-shared
  DESTINATION ${LIB_INSTALL_DIR}
)
